Skip to main content
GET
List Series

Query Parameters

pageSize
string<int64>

Maximum number of series in the response. Default: 100.

pageToken
string

Token from next_page_token of the previous response.

filters.skuIds
string[]

SKU IDs from List, up to 100. Default: all SKUs.

filters.startTime
string<date-time>
required

Start of the time interval. Must be within the last 30 days.

filters.endTime
string<date-time>

End of the time interval, exclusive. Default: current time. Example: with HOUR_1, the interval from 12:00 to 15:00 gives the points 13:00, 14:00 and 15:00.

aggregation.granularity
enum<string>
default:GRANULARITY_UNSPECIFIED
required

Length of a time step.

  • GRANULARITY_UNSPECIFIED: Not specified.
  • GRANULARITY_MINUTE_15: 15 minutes. Allowed for a time interval of up to 7 days.
  • GRANULARITY_HOUR_1: 1 hour.
Available options:
GRANULARITY_UNSPECIFIED,
GRANULARITY_MINUTE_15,
GRANULARITY_HOUR_1
aggregation.method
enum<string>
default:METHOD_UNSPECIFIED
required

Price of a time step.

  • METHOD_UNSPECIFIED: Not specified.
  • METHOD_FIRST_PRICE: First price in the time step.
  • METHOD_LAST_PRICE: Last price in the time step.
  • METHOD_AVG_PRICE: Mean of the prices in the time step, not weighted by time.
Available options:
METHOD_UNSPECIFIED,
METHOD_FIRST_PRICE,
METHOD_LAST_PRICE,
METHOD_AVG_PRICE

Response

200 - application/json

A successful response.

items
object[]

Price series, sorted by region and sku_id.

nextPageToken
string

Token for the next page. Empty on the last page.

snapshotTime
string<date-time>

Time when the prices in the response were taken. If the prices were taken at different times, the field has the earliest time.